System.ServiceModel 4.0.0.0 System.Object

This class is the extensibility point for providing a custom security token manager that indigo2 can use for customizing message and transport security.

is a factory that creates instances of classes derived from .

and implement this class.

Specifies an abstract class that when implemented represents a security credentials manager.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.IdentityModel.Selectors.SecurityTokenManager

  A is created by indigo2 for every ChannelFactory at the client and for every ChannelListener/endpoint at the service.

  Use one of the classes derived from the class when a custom security token, security token authenticator, or security token provider is needed.

  When overridden in a derived class, creates a new .

  The newly created .